# Class CIM_BiometricAuthentication
extends CIM_AuthenticationCondition

A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines specific biometric data that should be authenticated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_AuthenticationCondition
|
+--CIM_BiometricAuthentication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines specific biometric data that should be authenticated.
UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherBiometric | string |
Description | string | String specifying the biometric when the TypeOfBiometric property is set to 1, "Other".
ModelCorrespondence | string | CIM_BiometricAuthentication.TypeOfBiometric
PersonalIdentifier | string |
Description | string | String defining a specific biometric code, which may be validated by the security infrastructure. If this property is left blank, it is the responsibility of the infrastructure to verify the biometric (which MUST be of a type specified by the TypeOfBiometric property).
TypeOfBiometric | uint16 |
Description | string | Integer enumeration identifying the biometric data that should be authenticated.
ModelCorrespondence | string | CIM_BiometricAuthentication.OtherBiometric
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Other, Facial, Retina, Mark, Finger, Voice, DNA-RNA, EEG

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods